<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Banners</title>
    <style>
        .image-to-show {
            width: 400px;
            height: 400px;
            transition: 0.5s;
            flex-shrink: 0;

        }

        .images-wrapper {
            display: flex;
            width: 400px;
            height: 400px;
            align-items: flex-start;
            transition: 3s;
            margin: auto;
            overflow:hidden;
        }
    </style>
</head>
<body>
<div class="images-wrapper">
    <img src="https://scx1.b-cdn.net/csz/news/800/2019/1-nature.jpg" width="400px" alt="image of game" class="image-to-show" />
    <img src="https://natureconservancy-h.assetsadobe.com/is/image/content/dam/tnc/nature/en/photos/tnc_48980557.jpg?crop=961,0,1928,2571&wid=600&hei=800&scl=3.21375" alt="image of game" class="image-to-show" width="400px" />
    <img src="https://i.ytimg.com/vi/6lt2JfJdGSY/maxresdefault.jpg" alt="image of game" class="image-to-show" />
    <img src="https://cdn.shopify.com/s/files/1/0037/0956/7076/files/westboundary-photography-chris-gill-60180-unsplash_1200x734.jpg?v=1545660299" alt="image of game" class="image-to-show" />
</div>
<input id="stopbutton" type="button" onclick="myStopFunction()" value="stop"  />

<script>



    let listElms = document.querySelectorAll('img');

    function hello () {
        for (let i=0; i<4; i++) {
            if(document.getElementById("stopbutton").value==="start") {
                return;
            }
                let zalupa = +listElms[i].style.transform.slice(12, -3);
                if(zalupa==1200)
                {
                    zalupa = 0;
                    let zasa = -(zalupa+400);
                    listElms[i].style.transform = 'translateX('+zasa+'px)'
                }
                let zasa = -(zalupa+400);
                listElms[i].style.transform = 'translateX('+zasa+'px)'

        }

    }

    setInterval(() => hello(), 1000);
    let list = document.querySelector('.images-wrapper').offsetWidth;
    alert(list);

    function myStopFunction() {
        document.getElementById("stopbutton").value="start";
        document.getElementById("stopbutton").addEventListener("click", myStartFunction);
        clearInterval(zhopa);
        document.getElementById("stopbutton").removeEventListener("click", myStopFunction);
    }
    function myStartFunction() {
        document.getElementById("stopbutton").value="stop";
        document.getElementById("stopbutton").removeEventListener("click", myStartFunction);
        document.getElementById("stopbutton").addEventListener("click", myStopFunction);
        clearInterval(zhopa);
        setInterval(() => hello(), 1000);
    }
    stopbutton.addEventListener("click", myStopFunction);
</script>

</body>
</html>
